Store an illustration Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/illustration

Headers

  • X-PLANNR-ACCOUNT-UUID string
application/json

Body

  • name string Required

    The name of the illustration.

  • client_uuid string(uuid)

    The client UUID to associate the illustration with. (deprecated: use accounts instead)

  • accounts array[string(uuid)] Required

    An array of client account UUIDs to associate the illustration with.

  • requested_by_uuid string(uuid) Required

    The requested by account UUID to associate the illustration with. If not passed, this will default to the assigned adviser on the client account.

  • plan_uuid string(uuid)

    The plan UUID to associate the illustration with. If not provided and is_draft is false, a new proposed plan will be created using the request_data.

  • request_data object

    The request data used to generate the illustration.

    Additional properties are allowed.

  • is_draft boolean Required

    Whether the illustration is a draft or not. If draft, it will not be sent to the platform.

  • platform string Required

    The platform used to generate the illustration.

  • generate boolean

    Whether to generate the illustration. Defaults to true.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • generated_at string

      The timestamp of when the illustration was generated with the platform.

    • status string

      The status of the illustration. Available values: created, generating_illustration and generated_illustration

    • client object

      The lead account that the illustration belongs to.

      Hide client attributes Show client attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references string
    • accounts array[object]

      The list of accounts that the illustration belongs to. This will include the lead account.

      Hide accounts attributes Show accounts attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references string
    • application object

      If the illustration is linked to an application, this will be the application resource.

      Hide application attributes Show application attributes object
      • uuid string
      • created_at string
      • updated_at string
      • generated_at string
      • name string
      • request_data array
      • status string
      • platform string
      • platform_illustration_id string
      • clients array[string]
      • firm string
      • illustration string
      • requested_by string
      • plan string
    • plan object

      The plan that the illustration belongs to.

      Hide plan attributes Show plan attributes object
      • uuid string
      • created_at string
      • updated_at string
      • opened_at string
      • name string
      • type string
      • sub_type string
      • abstract_type string
      • policy_number string
      • proposal_reference string
      • status string
      • inactive_at string
      • inactive_reason string
      • agency_in_your_name boolean
      • agency_in_your_name_from string
      • originally_sold_by_firm boolean
      • under_advice boolean
      • visible_on_client_portal boolean
      • include_in_client_valuation boolean
      • show_on_joint boolean
      • shown_on_circles boolean
      • review_date string
      • on_panel boolean
      • is_group_scheme boolean
      • is_sub_group_scheme boolean
      • is_group_scheme_member boolean
      • advice_area string
      • main_account string
      • sub_accounts string
      • provider string
      • covers string
      • claims string
      • total_benefit_amount object
        Hide total_benefit_amount attributes Show total_benefit_amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • total_benefits object
        Hide total_benefits attributes Show total_benefits attributes object
        • critical_illness object
          Hide critical_illness attributes Show critical_illness attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • family_income_benefit object
          Hide family_income_benefit attributes Show family_income_benefit attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
      • latest_valuations string
      • value object
        Hide value attributes Show value attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • valued_at string
      • original_valued_at string
      • client string
      • accounts string
      • seller string
      • linked_owners string
      • linked_plans string
      • visible_to_circles string
      • statistics object
        Hide statistics attribute Show statistics attribute object
        • recent_growth integer
      • cases string
      • tags string
      • is_wrap_product boolean
      • is_wrap_child boolean
      • wrap string
      • wrap_children string
      • linked_policy_numbers string
      • can_be_deleted string
      • contract_enquiry_account string
      • custom_fields string
      • external_references string
    • requested_by object

      The account (adviser) that requested the illustration.

      Hide requested_by attributes Show requested_by attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
    • name string

      The name of the illustration.

    • request_data array

      The request data used to generate the illustration.

    • platform string

      The platform used to generate the illustration.

    • platform_illustration_id string

      The platform specific illustration id.

    • account_opening_allowed boolean

      Whether the account opening is allowed for the illustration.

    • is_draft boolean

      Whether the illustration is in the created/draft state.

POST /api/v1/illustration
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/illustration' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"SuperSaver 2024","client_uuid":"85eb2b2d-83fc-484f-b637-7853b3837e2c","accounts":["485cd317-c9d8-4838-88b4-3b48582cb796","f47f8376-77f0-4300-a883-6b1297aec8c2","3ee408f0-3858-45a2-9923-887bbdb6980f"],"requested_by_uuid":"af845e4c-f514-453d-9076-c611ccca074f","plan_uuid":"eb3c5005-8059-4d94-bb26-86a2947fd88a","request_data":{},"is_draft":false,"platform":"seccl","generate":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "SuperSaver 2024",
  "client_uuid": "85eb2b2d-83fc-484f-b637-7853b3837e2c",
  "accounts": [
    "485cd317-c9d8-4838-88b4-3b48582cb796",
    "f47f8376-77f0-4300-a883-6b1297aec8c2",
    "3ee408f0-3858-45a2-9923-887bbdb6980f"
  ],
  "requested_by_uuid": "af845e4c-f514-453d-9076-c611ccca074f",
  "plan_uuid": "eb3c5005-8059-4d94-bb26-86a2947fd88a",
  "request_data": {},
  "is_draft": false,
  "platform": "seccl",
  "generate": true
}
Response examples (200)
{
  "uuid": "30dad26d-dbf2-40b8-9622-fec281ea927f",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "generated_at": "2026-06-08T16:08:03+01:00",
  "status": "created",
  "client": {
    "uuid": "27ff26b6-6bb7-4369-94a7-cefa795f09e4",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "accounts": [
    {
      "uuid": "a6490817-14df-4097-9f20-21b2391c3999",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
      "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
    }
  ],
  "application": {
    "uuid": "5833e06c-53b2-4038-9004-5bb43bcf58ae",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "generated_at": "2026-06-08T16:08:03+01:00",
    "name": "Illustration Name",
    "request_data": [],
    "status": "draft",
    "platform": "seccl",
    "platform_illustration_id": "ABC0123456789",
    "clients": [
      "App\\Http\\Resources\\MinimalAccountResource"
    ],
    "firm": "App\\Http\\Resources\\FirmResource",
    "illustration": "App\\Http\\Resources\\IllustrationResource",
    "requested_by": "App\\Http\\Resources\\MinimalAccountResource",
    "plan": "App\\Http\\Resources\\Plans\\PlanResource"
  },
  "plan": {
    "uuid": "e0ba9f09-e4b6-49e6-9509-0f749f87e1a0",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "opened_at": "2026-06-08T16:08:03+01:00",
    "name": "Johns ISA",
    "type": "cash_account",
    "sub_type": "lifetime isa",
    "abstract_type": "asset",
    "policy_number": "AVIVA-123",
    "proposal_reference": "AB123456",
    "status": "inactive",
    "inactive_at": "2026-06-08T16:08:03+01:00",
    "inactive_reason": "claimed",
    "agency_in_your_name": true,
    "agency_in_your_name_from": "2025-06-08",
    "originally_sold_by_firm": true,
    "under_advice": true,
    "visible_on_client_portal": true,
    "include_in_client_valuation": true,
    "show_on_joint": true,
    "shown_on_circles": true,
    "review_date": "2025-06-08",
    "on_panel": true,
    "is_group_scheme": false,
    "is_sub_group_scheme": false,
    "is_group_scheme_member": false,
    "advice_area": "non_investment_insurance",
    "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
    "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
    "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
    "covers": "App\\Http\\Resources\\Plans\\CoverResource",
    "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
    "total_benefit_amount": {
      "amount": {
        "example": "25000000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£250,000.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "total_benefits": {
      "critical_illness": {
        "amount": {
          "example": "15000000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£150,000.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      },
      "family_income_benefit": {
        "amount": {
          "example": "10000000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£100,000.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": "GBP",
          "description": "Currency of the money"
        }
      }
    },
    "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
    "value": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "valued_at": "2026-06-08T16:08:03+01:00",
    "original_valued_at": "2026-06-07T16:08:03+01:00",
    "client": "App\\Http\\Resources\\AccountResource",
    "accounts": "App\\Http\\Resources\\AccountResource",
    "seller": "App\\Http\\Resources\\AccountResource",
    "linked_owners": "App\\Http\\Resources\\AccountResource",
    "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
    "visible_to_circles": "App\\Http\\Resources\\CircleResource",
    "statistics": {
      "recent_growth": 100
    },
    "cases": "App\\Http\\Resources\\CasesResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "is_wrap_product": false,
    "is_wrap_child": false,
    "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
    "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
    "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
    "can_be_deleted": "false",
    "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "requested_by": {
    "uuid": "363db35a-59fe-4b62-8489-f2fe3f11372a",
    "created_at": "2026-06-08T16:08:03+01:00",
    "updated_at": "2026-06-08T16:08:03+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-06-08T16:08:03+01:00",
    "next_review_date": "2026-06-08T16:08:03+01:00",
    "previous_review_date": "2026-06-08T16:08:03+01:00",
    "anniversary_review_date": "2026-06-08T16:08:03+01:00",
    "terms_of_business_at": "2026-06-08T16:08:03+01:00",
    "client_agreement_at": "2026-06-08T16:08:03+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-06-08",
    "last_interaction_at": "2026-06-08 16:08:03",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "name": "Illustration Name",
  "request_data": [],
  "platform": "seccl",
  "platform_illustration_id": "ABC0123456789",
  "account_opening_allowed": true,
  "is_draft": true
}